Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## biouml.model
Class DiagramViewOptionsBeanInfo

    java.lang.Object
      java.beans.SimpleBeanInfo
          com.beanexplorer.beans.BeanInfoEx
              biouml.model.DiagramViewOptionsBeanInfo

All Implemented Interfaces:
  java.beans.BeanInfo, com.beanexplorer.beans.BeanInfoConstants

public class DiagramViewOptionsBeanInfo
extends com.beanexplorer.beans.BeanInfoEx

Field Summary

Fields inherited from class com.beanexplorer.beans.BeanInfoEx
`beanClass, beanDescriptor, beanEditorClass, cat, catErrorMethod, childResources, compositeEditorLayoutManager, compositeEditorPropertyList, displayNameMethod, editorPreferredSize, helpId, hidden, hideChildren, isLOG4JPresent, noRecursionCheck, parentResources, properties, readOnly, resources, simple, substituteByChild`

Fields inherited from interface com.beanexplorer.beans.BeanInfoConstants
`BEAN_DISPLAY_NAME, CAN_BE_NULL, CHILD_DISPLAY_NAME, CHILD_READ_ONLY, COMPOSITE_EDITOR_LAYOUT_MANAGER, COMPOSITE_EDITOR_PROPERTY_LIST, DEFAULT_VALUE, DISPLAY_NAME, EDITOR_PREFERRED_SIZE, FORMAT_MASK, HELP_ID, HIDDEN, HIDE_CHILDREN, NO_RECURSION_CHECK, NODE_ICON_COLOR_16x16, NODE_ICON_COLOR_32x32, NODE_ICON_MONO_16x16, NODE_ICON_MONO_32x32, ORDER, PARENT_RESOURCES, RAW_VALUE, READ_ONLY, RESOURCES, SIMPLE, SUBSTITUTE_BY_CHILD, TOOLTIP`

Fields inherited from interface java.beans.BeanInfo
`ICON_COLOR_16x16, ICON_COLOR_32x32, ICON_MONO_16x16, ICON_MONO_32x32`

Constructor Summary
`DiagramViewOptionsBeanInfo()`

Method Summary
`void` | `initProperties()`

Methods inherited from class com.beanexplorer.beans.BeanInfoEx
`add, add, add, add, add, add, add, add, addHidden, addHidden, findPropertyDescriptor, findPropertyIndex, getBeanDescriptor, getIcon, getPropertyDescriptors, getResourceString, initResources, logError, logError, setBeanEditor, setCompositeEditor, setDisplayNameMethod, setEditorPreferredSize, setHelpId, setHidden, setHideChildren, setNoRecursionCheck, setReadOnly, setSimple, setSubstituteByChild`

Methods inherited from class java.beans.SimpleBeanInfo
`getAdditionalBeanInfo, getDefaultEventIndex, getDefaultPropertyIndex, getEventSetDescriptors, getMethodDescriptors, loadImage`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DiagramViewOptionsBeanInfo

    public DiagramViewOptionsBeanInfo()

Method Detail

### initProperties

    public void initProperties()
                        throws java.lang.Exception

  Throws:
    `java.lang.Exception`

Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2003 Biosof.Ru. All Rights Reserved.